Core - Task # 52414

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-10-01 Assigned To:

Updated: 2013-10-06 Due date:

TYPOS3 Version: 6.2

PHP Version: 54

Complexity: easy

Sprint Focus:

Subject: ext:install Break possible redirect loop

Description

Related issues:

related to Core - Bug # 52338: Silent configuration generates endless redirec...

Resolved

Associated revisions

Revision ac3a58b8 - 2013-10-06 21:19 - Christian Kuhn

[TASK] ext:install Break possible redirect loop

The install tool initiates redirects if configuration values were
changed. This is especially done within the "silent upgrade" class.

If something goes wrong there, the system may end up in a redirect
loop and does not show useful debug information.

The patch introduces a simple redirect loop detection and breaks
after ten redirects. This should be enough for the "silent upgrade"
and should be lower than the usual browser based loop detection.

Change-Id: 131164595dc1ada17012525268b57c03499dd2ddf
Resolves: #52414

Related: #52338

Relases: 6.2

Reviewed-on: https://review.typo3.org/24191

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-10-01 00:57 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24191

#2 - 2013-10-06 21:08 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24191

#3 - 2013-10-06 21:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ac3a58b8f870167aa34d2e7bb958e524e010e352.
